﻿using Google.Apis.Tasks.v1.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace G_Tasks
{
    public class TasksListView : ListView
    {
        protected override void WndProc(ref Message m)
        {
            // Filter WM_LBUTTONDBLCLK
            if (m.Msg != 0x203) base.WndProc(ref m);
        }
    }


    public class TasksListViewItem : ListViewItem
    {
        public NoteItem note;
        public TasksListViewItem(NoteItem note)
        {
            this.note = note;

            this.Name = note.RelatedTask.Id;
            this.Text = note.RelatedTask.Title;
        }
    }
}
